<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ZkwfRequestLst StructType
 * @subpackage Structs
 */
class ZkwfRequestLst extends AbstractStructBase
{
    /**
     * The Mandt
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 3
     * @var string
     */
    public $Mandt;
    /**
     * The Id
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 7
     * @var string
     */
    public $Id;
    /**
     * The PosidC
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 24
     * @var string
     */
    public $PosidC;
    /**
     * The Post1
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 40
     * @var string
     */
    public $Post1;
    /**
     * The ValuetotC
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 15
     * @var string
     */
    public $ValuetotC;
    /**
     * The Waers
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 5
     * @var string
     */
    public $Waers;
    /**
     * Constructor method for ZkwfRequestLst
     * @uses ZkwfRequestLst::setMandt()
     * @uses ZkwfRequestLst::setId()
     * @uses ZkwfRequestLst::setPosidC()
     * @uses ZkwfRequestLst::setPost1()
     * @uses ZkwfRequestLst::setValuetotC()
     * @uses ZkwfRequestLst::setWaers()
     * @param string $mandt
     * @param string $id
     * @param string $posidC
     * @param string $post1
     * @param string $valuetotC
     * @param string $waers
     */
    public function __construct($mandt = null, $id = null, $posidC = null, $post1 = null, $valuetotC = null, $waers = null)
    {
        $this
            ->setMandt($mandt)
            ->setId($id)
            ->setPosidC($posidC)
            ->setPost1($post1)
            ->setValuetotC($valuetotC)
            ->setWaers($waers);
    }
    /**
     * Get Mandt value
     * @return string|null
     */
    public function getMandt()
    {
        return $this->Mandt;
    }
    /**
     * Set Mandt value
     * @param string $mandt
     * @return \StructType\ZkwfRequestLst
     */
    public function setMandt($mandt = null)
    {
        // validation for constraint: string
        if (!is_null($mandt) && !is_string($mandt)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($mandt, true), gettype($mandt)), __LINE__);
        }
        // validation for constraint: maxLength(3)
        if (!is_null($mandt) && mb_strlen($mandt) > 3) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 3', mb_strlen($mandt)), __LINE__);
        }
        $this->Mandt = $mandt;
        return $this;
    }
    /**
     * Get Id value
     * @return string|null
     */
    public function getId()
    {
        return $this->Id;
    }
    /**
     * Set Id value
     * @param string $id
     * @return \StructType\ZkwfRequestLst
     */
    public function setId($id = null)
    {
        // validation for constraint: string
        if (!is_null($id) && !is_string($id)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($id, true), gettype($id)), __LINE__);
        }
        // validation for constraint: maxLength(7)
        if (!is_null($id) && mb_strlen($id) > 7) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 7', mb_strlen($id)), __LINE__);
        }
        $this->Id = $id;
        return $this;
    }
    /**
     * Get PosidC value
     * @return string|null
     */
    public function getPosidC()
    {
        return $this->PosidC;
    }
    /**
     * Set PosidC value
     * @param string $posidC
     * @return \StructType\ZkwfRequestLst
     */
    public function setPosidC($posidC = null)
    {
        // validation for constraint: string
        if (!is_null($posidC) && !is_string($posidC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($posidC, true), gettype($posidC)), __LINE__);
        }
        // validation for constraint: maxLength(24)
        if (!is_null($posidC) && mb_strlen($posidC) > 24) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 24', mb_strlen($posidC)), __LINE__);
        }
        $this->PosidC = $posidC;
        return $this;
    }
    /**
     * Get Post1 value
     * @return string|null
     */
    public function getPost1()
    {
        return $this->Post1;
    }
    /**
     * Set Post1 value
     * @param string $post1
     * @return \StructType\ZkwfRequestLst
     */
    public function setPost1($post1 = null)
    {
        // validation for constraint: string
        if (!is_null($post1) && !is_string($post1)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($post1, true), gettype($post1)), __LINE__);
        }
        // validation for constraint: maxLength(40)
        if (!is_null($post1) && mb_strlen($post1) > 40) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 40', mb_strlen($post1)), __LINE__);
        }
        $this->Post1 = $post1;
        return $this;
    }
    /**
     * Get ValuetotC value
     * @return string|null
     */
    public function getValuetotC()
    {
        return $this->ValuetotC;
    }
    /**
     * Set ValuetotC value
     * @param string $valuetotC
     * @return \StructType\ZkwfRequestLst
     */
    public function setValuetotC($valuetotC = null)
    {
        // validation for constraint: string
        if (!is_null($valuetotC) && !is_string($valuetotC)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($valuetotC, true), gettype($valuetotC)), __LINE__);
        }
        // validation for constraint: maxLength(15)
        if (!is_null($valuetotC) && mb_strlen($valuetotC) > 15) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 15', mb_strlen($valuetotC)), __LINE__);
        }
        $this->ValuetotC = $valuetotC;
        return $this;
    }
    /**
     * Get Waers value
     * @return string|null
     */
    public function getWaers()
    {
        return $this->Waers;
    }
    /**
     * Set Waers value
     * @param string $waers
     * @return \StructType\ZkwfRequestLst
     */
    public function setWaers($waers = null)
    {
        // validation for constraint: string
        if (!is_null($waers) && !is_string($waers)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($waers, true), gettype($waers)), __LINE__);
        }
        // validation for constraint: maxLength(5)
        if (!is_null($waers) && mb_strlen($waers) > 5) {
            throw new \InvalidArgumentException(sprintf('Invalid length of %s, the number of characters/octets contained by the literal must be less than or equal to 5', mb_strlen($waers)), __LINE__);
        }
        $this->Waers = $waers;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\ZkwfRequestLst
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
